{% extends "wafer/base.html" %}
{% load i18n %}
{% block title %}Current Schedule - {{ WAFER_CONFERENCE_NAME }}{% endblock title %}
{% block extra_foot %}
{% if refresh %}
<script type="text/javascript">
"use strict";
function registerRefresh(delay) {
  setTimeout(attemptRefresh, delay*1000, delay);
}
function attemptRefresh(delay) {
  registerRefresh(delay);

  $.ajax({
    'dataType': 'html',
    'timeout': 10000,
    'success': function(data, textStatus, jqXHR) {
      var html = $.parseHTML(data, null);
      var schedule = $('div.wafer_schedule', html).children();
      $('div.wafer_schedule').empty();
      $('div.wafer_schedule').append(schedule);
    },
    'error': function(jqXHR, textStatus, errorThrown) {
      var errors = $('div.wafer_schedule .timestamp .errors');
      var count = errors.attr('data-count') || 0;
      count++;
      errors.text('Failed updates: ' + count);
      errors.attr('data-count', count);
    },
  });
}
$(function() {
    registerRefresh({{ refresh }});
});
</script>
{% endif %}
{% endblock %}
{% block content %}
<section class="wafer wafer-schedule">
<h1 class="fancy-heading"><span>{% trans "Current" %}</span></h1>
<div class="wafer_schedule">
   {% if not active %}
   {# Schedule is incomplete / invalid, so show nothing #}
   {% blocktrans %}
   <p>The final schedule has not been published yet.</p>
   {% endblocktrans %}
   {% elif not slots %}
   {% blocktrans %}
   <p>Nothing happening right now.</p>
   {% endblocktrans %}
   {% else %}
   <table class="table table-striped table-bordered">
      <tr>
         <td colspan="{{ schedule_day.venues|length|add:1 }}" class="title">{{ schedule_day.day.date|date:"l (d b)" }}</td>
      </tr>
      <tr>
         <th>{% trans "Time" %}</th>
         {% for venue in schedule_day.venues %}
         <th><a href="{{ venue.get_absolute_url }}">{{ venue.name }}</a></th>
        {% endfor %}
      </tr>
      {% for row in slots %}
      <tr>
        {% if row.slot == cur_slot %}
           <td>{{ row.slot.get_start_time|time:"H:i" }} - {{ row.slot.end_time|time:"H:i" }} (Now On)</td>
        {% else %}
           <td>{{ row.slot.get_start_time|time:"H:i" }} - {{ row.slot.end_time|time:"H:i" }}</td>
        {% endif %}
        {% for item in row.get_sorted_items %}
        {% if item.item == "unavailable" %}
           <td colspan="{{ item.colspan }}" rowspan="{{ item.rowspan }}" class="unavailable"></td>
        {% else %}
           {% if item.note == "complete" %}
              <td colspan="{{ item.colspan }}" rowspan="{{ item.rowspan }}" class="completed">
           {% elif item.note == "current" %}
              <td colspan="{{ item.colspan }}" rowspan="{{ item.rowspan }}" class="current_active">
           {% else %}
              <td colspan="{{ item.colspan }}" rowspan="{{ item.rowspan }}" class="future">
           {% endif %}
              {% include "wafer.schedule/schedule_item.html" with item=item.item %}
           </td>
        {% endif %}
        {% endfor %}
      </tr>
      {% endfor %}
   </table>
   {% endif %}
   <div class="timestamp">
     Last updated: {% now "H:m:s" %}
     <div class="errors"></div>
   </div>
</div>
</section>
{% endblock %}
